For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get contact details for a customer

Get contact details for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
get/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Last updated

Was this helpful?